## org.biojava.bio.structure.align.pairwise
Interface Alignable

All Known Implementing Classes:
  StrCompAlignment

    public interface Alignable

Method Summary
`AligMatEl[][]` `getAligMat()`
`int` `getCols()`
`float` `getGapExtCol()`
`float` `getGapExtRow()`
`float` `getGapOpenCol()`
`float` `getGapOpenRow()`
`IndexPair[]` `getPath()`
`int` `getPathSize()`
`int` `getRows()`
`float` `getScore()`
`void` `setAligMat(AligMatEl[][] alignmentMatrix)`
`void` `setGapExtCol(float penalty)`
`void` `setGapExtRow(float penalty)`
`void` `setGapOpenCol(float penalty)`
`void` `setGapOpenRow(float penalty)`
`void` `setPath(IndexPair[] path)`
`void` `setPathSize(int pathSize)`
`void` `setScore(float score)`

Method Detail

### getRows

    int getRows()

### getCols

    int getCols()

### getAligMat

    AligMatEl[][] getAligMat()

### setAligMat

    void setAligMat(AligMatEl[][] alignmentMatrix)

### getGapExtCol

    float getGapExtCol()

### setGapExtCol

    void setGapExtCol(float penalty)

### getGapExtRow

    float getGapExtRow()

### setGapExtRow

    void setGapExtRow(float penalty)

### getGapOpenCol

    float getGapOpenCol()

### setGapOpenCol

    void setGapOpenCol(float penalty)

### getGapOpenRow

    float getGapOpenRow()

### setGapOpenRow

    void setGapOpenRow(float penalty)

### setScore

    void setScore(float score)

### getScore

    float getScore()

### getPathSize

    int getPathSize()

### setPathSize

    void setPathSize(int pathSize)

### setPath

    void setPath(IndexPair[] path)

### getPath

    IndexPair[] getPath()